.journeys-page .main-label-on-time {
  font-size: large;
}

.main-label-late {
  text-decoration: line-through;
  font-size: small;
  opacity: 0.5;
}

.alt-label-on-time {
  font-size: small;
}

.journeys-page .alt-label-late {
  font-size: large;
}

.journeys-page .main-label-on-time {
  font-weight: bold;
}

.journeys-page .alt-label-late {
  font-weight: bold;
}

.stopover-item .main-label-on-time {
  font-size: small;
}

.stopover-item .main-label-late {
  font-size: small;
}

.stopover-item .alt-label-on-time {
  font-size: small;
}

.stopover-item .alt-label-late {
  font-size: small;
}

.overlay-spinner {
  border-radius: 50%;
  padding: 6px;
}

.journeys-page header { padding: 0; }

/* Fixes buttons inside cards having a bigger border radius compared to the card, which leads to the highlight spanning outside of the box. */
.button-card > button {
  border-radius: 12px;
  padding: 0px;
}

/* Fixes padding of toggle-button inside menu button at the provider popover being too big and resizing the header bar */
.window-menu-button-provider > button {
  padding: 0px 5px 0px 3px;
}

.list-button {
  border-radius: 12px;
}

.small-pill {
  padding: 3px 12px;
  border-radius: 9999px;
}

.route-segment-station-start-end {
  font-weight: bold;
}

/* Don't have a pressed-in look for bookmark icons as they already have a "filled" icon */
.bookmark-button:checked {
  background-color: transparent;
}

.bookmark-button:checked:hover {
  background-color: alpha(@view_fg_color, 0.07);
}

/* Highlighting selected item for station entry */
/* Similar to https://gitlab.gnome.org/GNOME/epiphany/-/blob/b6203597637b4b7725372750983f6e38ca92c2ac/src/resources/style.css#L137-155 */
.station-entry popover listview > row:hover {
  background-color: alpha(currentColor, .04);
}
.station-entry popover listview > row:active {
  background-color: alpha(currentColor, .08);
}
.station-entry popover listview > row:selected {
  background-color: alpha(currentColor, .1);
}
.station-entry popover listview > row:selected:hover {
  background-color: alpha(currentColor, .13);
}
.station-entry popover listview > row:selected:active {
  background-color: alpha(currentColor, .19);
}


/* Currently disabled. Styling for the indicator icons */
/*
.load-unknown {
  color: @green_1;
}

.load-low-to-medium {
  color: @yellow_1;
}

.load-high {
  color: @orange_1;
}

.load-very-high {
  color: @red_1;
}

.load-exceptionally-high {
  color: @red_5;
}

.late-on-time {
  color: @blue_1;
}

.late-little-late {
  color: @blue_2;
}

.late-late {
  color: @blue_4;
}

.late-very-late {
  color: @purple_4;
}

.late-extremely-late {
  color: @purple_5;
}

.change-platform {
  color: @orange_5;
}
*/
